Subject: Re: bug#38624: 27.0.50; [wish] tab navigation via keyboard should mimic buffer navigation

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Dec 2019 01:21:07 +0200

>> I would assume to use tab switching much more often than creation
>> or deletion.  Since one has to create a window configuration with
>> many key strokes before using it, it seems natural to use them for
>> a relative long time, hence the support in desktop session
>> saving.
>
> Then I will bind tab switching by name to the most easy to type
> key sequence 'C-x t RET tab-name RET' because reading the tab name
> needs to be finished by RET too (like 'C-x 8 RET char-name RET').

This is implemented now so that 'C-x t RET' provides default values
with names of tabs sorted by recency: 'C-x t RET RET' will switch to
the most recent tab, 'C-x t RET M-n M-n RET' to the second recent, etc.